import SessionCommand from "../utils/SessionCommand";
export declare const handleAssetCreation: (sessionPayload: {
    token: string;
    rigobotToken: string;
}, learnJson: any, selectedLang: string, learnpackDeployUrl: string) => Promise<void>;
declare class BuildCommand extends SessionCommand {
    static description: string;
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        strict: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    init(): Promise<void>;
    run(): Promise<void>;
    copyDirectory(src: string, dest: string): void;
    removeDirectory(dir: string): void;
}
export default BuildCommand;
